curl --request POST \
--url https://api.cekura.ai/observability/v1/deep-research-insights/dismiss_mode/ \
--header 'Content-Type: application/json' \
--header 'X-CEKURA-API-KEY: <api-key>' \
--data '
{
"project": 123,
"mode_title": "<string>",
"insight": 123,
"mode_details": "",
"mode_severity": "",
"note": ""
}
'import requests
url = "https://api.cekura.ai/observability/v1/deep-research-insights/dismiss_mode/"
payload = {
"project": 123,
"mode_title": "<string>",
"insight": 123,
"mode_details": "",
"mode_severity": "",
"note": ""
}
headers = {
"X-CEKURA-API-KEY": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-CEKURA-API-KEY': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
project: 123,
mode_title: '<string>',
insight: 123,
mode_details: '',
mode_severity: '',
note: ''
})
};
fetch('https://api.cekura.ai/observability/v1/deep-research-insights/dismiss_mode/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.cekura.ai/observability/v1/deep-research-insights/dismiss_mode/",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'project' => 123,
'mode_title' => '<string>',
'insight' => 123,
'mode_details' => '',
'mode_severity' => '',
'note' => ''
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"X-CEKURA-API-KEY: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.cekura.ai/observability/v1/deep-research-insights/dismiss_mode/"
payload := strings.NewReader("{\n \"project\": 123,\n \"mode_title\": \"<string>\",\n \"insight\": 123,\n \"mode_details\": \"\",\n \"mode_severity\": \"\",\n \"note\": \"\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("X-CEKURA-API-KEY", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.cekura.ai/observability/v1/deep-research-insights/dismiss_mode/")
.header("X-CEKURA-API-KEY", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"project\": 123,\n \"mode_title\": \"<string>\",\n \"insight\": 123,\n \"mode_details\": \"\",\n \"mode_severity\": \"\",\n \"note\": \"\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.cekura.ai/observability/v1/deep-research-insights/dismiss_mode/")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["X-CEKURA-API-KEY"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"project\": 123,\n \"mode_title\": \"<string>\",\n \"insight\": 123,\n \"mode_details\": \"\",\n \"mode_severity\": \"\",\n \"note\": \"\"\n}"
response = http.request(request)
puts response.read_body{
"project": 123,
"mode_title": "<string>",
"insight": 123,
"mode_details": "",
"mode_severity": "",
"note": ""
}Dismiss Deep Research Insight Mode
Record a thumbs-down on one failure mode.
curl --request POST \
--url https://api.cekura.ai/observability/v1/deep-research-insights/dismiss_mode/ \
--header 'Content-Type: application/json' \
--header 'X-CEKURA-API-KEY: <api-key>' \
--data '
{
"project": 123,
"mode_title": "<string>",
"insight": 123,
"mode_details": "",
"mode_severity": "",
"note": ""
}
'import requests
url = "https://api.cekura.ai/observability/v1/deep-research-insights/dismiss_mode/"
payload = {
"project": 123,
"mode_title": "<string>",
"insight": 123,
"mode_details": "",
"mode_severity": "",
"note": ""
}
headers = {
"X-CEKURA-API-KEY": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-CEKURA-API-KEY': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
project: 123,
mode_title: '<string>',
insight: 123,
mode_details: '',
mode_severity: '',
note: ''
})
};
fetch('https://api.cekura.ai/observability/v1/deep-research-insights/dismiss_mode/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.cekura.ai/observability/v1/deep-research-insights/dismiss_mode/",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'project' => 123,
'mode_title' => '<string>',
'insight' => 123,
'mode_details' => '',
'mode_severity' => '',
'note' => ''
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"X-CEKURA-API-KEY: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.cekura.ai/observability/v1/deep-research-insights/dismiss_mode/"
payload := strings.NewReader("{\n \"project\": 123,\n \"mode_title\": \"<string>\",\n \"insight\": 123,\n \"mode_details\": \"\",\n \"mode_severity\": \"\",\n \"note\": \"\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("X-CEKURA-API-KEY", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.cekura.ai/observability/v1/deep-research-insights/dismiss_mode/")
.header("X-CEKURA-API-KEY", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"project\": 123,\n \"mode_title\": \"<string>\",\n \"insight\": 123,\n \"mode_details\": \"\",\n \"mode_severity\": \"\",\n \"note\": \"\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.cekura.ai/observability/v1/deep-research-insights/dismiss_mode/")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["X-CEKURA-API-KEY"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"project\": 123,\n \"mode_title\": \"<string>\",\n \"insight\": 123,\n \"mode_details\": \"\",\n \"mode_severity\": \"\",\n \"note\": \"\"\n}"
response = http.request(request)
puts response.read_body{
"project": 123,
"mode_title": "<string>",
"insight": 123,
"mode_details": "",
"mode_severity": "",
"note": ""
}Authorizations
API Key Authentication. It should be included in the header of each request.
Body
Request body for thumbs-down submission.
Project ID the dismissal applies to.
Exact title of the failure mode to suppress.
200Optional Deep Research insight ID the mode was seen on.
Optional detail text of the failure mode, stored with the dismissal.
Optional severity label of the failure mode, stored with the dismissal.
20Optional reason. Empty is fine — a bare thumbs-down still dismisses.
Response
Request body for thumbs-down submission.
Project ID the dismissal applies to.
Exact title of the failure mode to suppress.
200Optional Deep Research insight ID the mode was seen on.
Optional detail text of the failure mode, stored with the dismissal.
Optional severity label of the failure mode, stored with the dismissal.
20Optional reason. Empty is fine — a bare thumbs-down still dismisses.